<wicket:extend xmlns:wicket="http://wicket.apache.org">

    <h2 class="page-header">Súťaže</h2>

    <div class="row">
        <div class="col-xs-12">
            <p>
                Administrácia súťaže spočíva v nadefinovaní názvu a typu súťaže, povolené typy súťaže sú hokej, futbal.
                V tabuľke súťaží zobrazuje nadefinované súťaže.
                Na pridanie novej súťaže slúži icona <i class="fa fa-fw fa-plus" aria-hidden="true"></i>,
                icona <i class="fa fa-fw fa-check" aria-hidden="true"></i> znázorňuje aktívnu súťaž.
                Odstránením súťaže sa daná súťaž iba deaktivuje <i class="fa fa-fw fa-trash" aria-hidden="true"></i>,
                fyzicky sa súťaž nedá odstrániť.
            </p>
        </div>
    </div>

    <div class="row">
        <!-- formular pre zalozenie/editacia -->
        <div class="col-xs-4" wicket:id="sutazDiv">
            <form wicket:id="sutazForm">
                <div class="form-group">
                    <label for="nazov">Názov súťaže</label>
                    <input id="nazov" wicket:id="nazov" type="text" class="form-control"/>
                </div>
                <div class="form-group">
                    <label for="sportTyp">Typ športu</label>
                    <select id="sportTyp" wicket:id="sportTyp" class="form-control">
                        <option>vyberte</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="sutazTyp">Typ súťaže</label>
                    <select id="sutazTyp" wicket:id="sutazTyp" class="form-control">
                        <option>vyberte</option>
                    </select>
                </div>
                <button type="submit" class="btn btn-default">Spracovať</button>
            </form>
        </div>

        <!--zoznam -->
        <div class="col-xs-8" wicket:id="sutazeDiv">
            <table class="table">
                <thead>
                <tr>
                    <th>
                        <span wicket:id="pridajLink"
                              class="fa fa-fw fa-plus"
                              style="cursor: pointer"
                              aria-hidden="true"
                              title="Vyčistí spracovateľský formulár"></span>
                    </th>
                    <th>Nazov</th>
                    <th>Typ</th>
                    <th>Akcia</th>
                </tr>
                </thead>
                <tbody>
                <tr wicket:id="sutazRiadok">
                    <td>
                        <span wicket:id="iconStatus"></span>
                    </td>
                    <td wicket:id="nazov">
                        World Champions Ice Hockey
                    </td>
                    <td wicket:id="sportType">
                        futbal
                    </td>
                    <td>
                    <span wicket:id="akcieDiv">
                        <a wicket:id="pridajRocnikLink" title="Pridanie ročníka súťaže">pridať ročník</a> |
                        <a wicket:id="zmenitLink" title="Zmeniť hodnoty súťaže">zmeniť</a> |
                        <a wicket:id="odstranitLink" title="Deaktivovať súťaž">odstrániť</a>
                    </span>
                        <a wicket:id="aktivovatLink">aktivovať</a>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>

    <!-- modalne okno pre potvrdenie akcie -->
    <div wicket:id="potvrdenieModalDialogDiv">
        <div wicket:id="potvrdenieModalDialog">potvrdenie akcie</div>
    </div>

</wicket:extend>
